### Hierarchy

- EventTarget
  - ServiceWorkerContainer

## Index

### Properties

- EventTarget
- controller
- oncontrollerchange
- onmessage
- onmessageerror
- ready

### Methods

- addEventListener
- dispatchEvent
- getRegistration
- getRegistrations
- register
- removeEventListener
- startMessages

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### controller

controller: ServiceWorker | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14223

### oncontrollerchange

oncontrollerchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14224

### onmessage

onmessage: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14225

### onmessageerror

onmessageerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14226

### ready

ready: Promise<ServiceWorkerRegistration>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14227

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14232

  #### Type parameters

  - #### K: keyof ServiceWorkerContainerEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]): any

      - #### Parameters

        - ##### this: ServiceWorkerContainer

        - ##### ev: ServiceWorkerContainerEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14233

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getRegistration

- getRegistration(clientURL?: undefined | string): Promise<ServiceWorkerRegistration | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14228

  #### Parameters

  - ##### Optional clientURL: undefined | string

  #### Returns Promise<ServiceWorkerRegistration | undefined>

### getRegistrations

- getRegistrations(): Promise<ReadonlyArray<ServiceWorkerRegistration>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14229

  #### Returns Promise<ReadonlyArray<ServiceWorkerRegistration>>

### register

- register(scriptURL: string, options?: RegistrationOptions): Promise<ServiceWorkerRegistration>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14230

  #### Parameters

  - ##### scriptURL: string

  - ##### Optional options: RegistrationOptions

  #### Returns Promise<ServiceWorkerRegistration>

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14234

  #### Type parameters

  - #### K: keyof ServiceWorkerContainerEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]): any

      - #### Parameters

        - ##### this: ServiceWorkerContainer

        - ##### ev: ServiceWorkerContainerEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14235

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### startMessages

- startMessages(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14231

  #### Returns void

Generated using TypeDoc